#include <Wire.h>

void setup() {
  Wire.begin(9);                  // Initialize I2C communication as Slave with address 9
  Wire.onReceive(receiveEvent);   // Register event function for incoming data
  Serial.begin(9600);              // Initialize serial communication
  pinMode(D1, OUTPUT);
}

void loop() {
  // Additional processing can be done in the loop if needed
}

void receiveEvent(int bytes) {
  char receivedChar = Wire.read();  // Read the character sent by the master
  Serial.print("Received character: ");
  Serial.println(receivedChar);

    if (receivedChar == 'O') {
        digitalWrite(D1, HIGH);  // Assuming D1 is the correct pin
      } else if (receivedChar == 'F'){
        digitalWrite(D1, LOW);   // Assuming D1 is the correct pin
      } 
  // Add your logic based on the received data
}
